/* GLOBAL */
a:not([href]).banner-impersonate {
  cursor: not-allowed;
}

/* Impersonate */
body > div.banner-impersonate {
  min-height: 50px;
  width: 100%;
  text-align: center;
  vertical-align: middle;
  font-weight: bold;

  a {
    text-decoration: underline;
    font-style: italic;
    margin-left: 1em;
    font-size: small;
  }

  div {
    line-height: 50px;
  }
}

/* Header */
.main-header .logo-mini img {
  max-width: 2em;
  max-height: 2em;
}

.main-header .sidebar-toggle:before {
  content: "";
}

/* Sidebar */
.sidebar-logo {
    & img {
      width: 195px;
      height: auto;
    }
}
.sidebar-collapse .sidebar-logo {
    display: none;
}

/* Form */
.form-group>label.required:after {
  content: '*';
}
.complex-choice-group label.col-sm-2 {
  text-align: left;
  width: 100%;
}
.delay-group {
  .one-line {
    vertical-align: middle;

    > div {
      display: inline-block;
      vertical-align: middle;
    }
  }
}

.has-feedback .form-control-feedback {
  pointer-events: auto;
  cursor: pointer;
}

/* Pages */
div.action-bar {
  margin-bottom: 1em;
}

/* Show */
body.show .content ul {
  -webkit-padding-start: 15px;
}



/* LOADER */
.lds-ellipsis {
  display: inline-block;
  position: relative;
  width: 14px;
  height: 14px;

  div {
    position: absolute;
    top: 6px;
    width: 2px;
    height: 2px;
    border-radius: 50%;
    background: #000000;
    animation-timing-function: cubic-bezier(0, 1, 1, 0);
  }

  div:nth-child(1) {
    left: 1.3px;
    animation: lds-ellipsis1 0.6s infinite;
  }
  div:nth-child(2) {
    left: 1.3px;
    animation: lds-ellipsis2 0.6s infinite;
  }
  div:nth-child(3) {
    left: 5.7px;
    animation: lds-ellipsis2 0.6s infinite;
  }
  div:nth-child(4) {
    left: 10px;
    animation: lds-ellipsis3 0.6s infinite;
  }
}

@keyframes lds-ellipsis1 {
  0% { transform: scale(0); }
  100% { transform: scale(1); }
}
@keyframes lds-ellipsis3 {
  0% { transform: scale(1); }
  100% { transform: scale(0); }
}
@keyframes lds-ellipsis2 {
  0% { transform: translate(0, 0); }
  100% { transform: translate(4px, 0); }
}
